Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451394 - Review Request: ghc-hsql-mysql - MySQL driver for HSQL
Summary: Review Request: ghc-hsql-mysql - MySQL driver for HSQL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://hackage.haskell.org/cgi-bin/ha...
Whiteboard:
Depends On: 451152
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 00:59 UTC by Rajesh Krishnan
Modified: 2010-01-26 00:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 23:23:40 UTC


Attachments (Terms of Use)
ghc-hsql-mysql-1.7-1.spec (deleted)
2008-06-14 00:59 UTC, Rajesh Krishnan
no flags Details
hsql-mysql.cabal.patch (deleted)
2008-06-14 01:01 UTC, Rajesh Krishnan
no flags Details | Diff
hsql-mysql.Setup.lhs.patch (deleted)
2008-06-14 01:02 UTC, Rajesh Krishnan
no flags Details | Diff

Description Rajesh Krishnan 2008-06-14 00:59:21 UTC
Description of problem:


Version-Release number of selected component (if applicable):
1.7

How reproducible:


Steps to Reproduce:
1.  Download 
http://hackage.haskell.org/packages/archive/hsql-mysql/1.7/hsql-mysql-1.7.tar.gz
to rpmbuild/SOURCES folder.
2.  Copy attached <this-package>-<this-version>.spec to rpmbuild/SPECS folder.
3.  Copy the attached *.patch files to the rpmbuild/SOURCES folder (if any).
3.  Execute:
rpmbuild --clean  --target=$(uname -i) -ba 
rpmbuild/SPECS/<this-package>-<this-version>.spec
  
Actual results:
You should see the compiled RPM and SRPM binaries in the respective folders.

Expected results:
--

Additional info:
1. The same .SPEC should work for Fedora 9 also (I guess, but I tested only on 
Fedora-8).

Comment 1 Rajesh Krishnan 2008-06-14 00:59:21 UTC
Created attachment 309311 [details]
ghc-hsql-mysql-1.7-1.spec

Comment 2 Rajesh Krishnan 2008-06-14 01:01:06 UTC
Created attachment 309312 [details]
hsql-mysql.cabal.patch

Updates the package.cabal with additional build options.

Comment 3 Rajesh Krishnan 2008-06-14 01:02:29 UTC
Created attachment 309313 [details]
hsql-mysql.Setup.lhs.patch

Fixes compiler errors in Setup.lhs due to the newer Cabal APIs with GHC 6.8.2.

Comment 4 Bryan O'Sullivan 2008-06-17 23:23:40 UTC
I am mass-closing these submissions, as they are completely useless and do not
follow any of the packaging guidelines.  Do not attempt to reopen them.


Note You need to log in before you can comment on or make changes to this bug.